/**
 * 
 */
package org.gcube.accounting.datamodel;

import org.gcube.accounting.exception.InvalidValueException;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 */
public interface AggregatedUsageRecord extends UsageRecord {
	
	/**
	 * Return the id of the usage record aggregating this
	 * @return Aggregated Id
	 */
	@Override
	public String getAggregatedId();

	/**
	 * Set the id of the usage record aggregating this
	 * @param aggregatedId
	 * @throws InvalidValueException
	 */
	@Override
	public void setAggregatedId(String aggregatedId) throws InvalidValueException;
	
}
